> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Micro-Deposits

> Triggers micro-deposit amounts to a company bank account for verification, usually appearing in 2-3 business days.



## OpenAPI

````yaml openapi/zeal-api.json post /companies/microdeposits/trigger
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /companies/microdeposits/trigger:
    post:
      summary: Trigger Micro-Deposits
      description: Trigger Micro-deposits in order to verify a company bank account.
      operationId: trigger-microdeposits
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
              properties:
                companyID:
                  type: string
                  description: ID of the company.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    data:
                      - message: >-
                          Microdeposits sent, expect to receive in 2-3 business
                          days
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Microdeposits sent, expect to receive in 2-3
                            business days
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No user with this company ID exists
                        code: 4
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No user with this company ID exists
                        code:
                          type: integer
                          example: 4
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````